var builder = WebApplication.CreateBuilder(args);

// Add services to the container.

builder.Services.AddControllers();
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

// Enable Cors
builder.Services.AddCors(options => {
    options.AddPolicy(name: "widthoutCors",
        builder => {
            builder
            .SetIsOriginAllowed((host) => true)
            .AllowAnyOrigin()
            .AllowAnyMethod()
            .AllowAnyHeader();
        });
});

var app = builder.Build();

// Configure the HTTP request pipeline.
app.UseSwagger();
app.UseSwaggerUI();
app.UseCors("widthoutCors");

if (app.Environment.IsDevelopment())
{
    Environment.SetEnvironmentVariable("Mode", "Dev");
}
else
{
    Environment.SetEnvironmentVariable("Mode", "Prod");
}

//app.UseHttpsRedirection();

app.UseAuthorization();

app.MapControllers();

app.Run();
